cc.funkemunky.api.tinyprotocol.packet.types

## Class WrappedChatMessage

- java.lang.Object
- - cc.funkemunky.api.tinyprotocol.api.NMSObject
  - - cc.funkemunky.api.tinyprotocol.packet.types.WrappedChatMessage

    public class WrappedChatMessage
    extends NMSObject

### Nested Class Summary

### Nested classes/interfaces inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`NMSObject.Client, NMSObject.Server, NMSObject.Type`

### Constructor Summary

Constructors
Constructor and Description
`WrappedChatMessage(java.lang.Object object)`
`WrappedChatMessage(java.lang.String chatMessage)`
`WrappedChatMessage(java.lang.String chatMessage, java.lang.Object... object)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setPacket(java.lang.String packet, java.lang.Object... args)`

### Methods inherited from class cc.funkemunky.api.tinyprotocol.api.NMSObject

`construct, construct, construct, fetch, fetch, fetchField, fetchField, fetchFieldByName, getPacketName, process, setPacket, setPacketArg, toBukkitStack`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WrappedChatMessage

    public WrappedChatMessage(java.lang.String chatMessage,
                              java.lang.Object... object)

#### WrappedChatMessage

    public WrappedChatMessage(java.lang.String chatMessage)

#### WrappedChatMessage

    public WrappedChatMessage(java.lang.Object object)

### Method Detail

#### setPacket

    public void setPacket(java.lang.String packet,
                          java.lang.Object... args)

Overrides:
  `setPacket` in class `NMSObject`